lwIP 2.1.3 Lightweight IP stack

Data Fields
stats_mib2_netif_ctrs Struct Reference
APIs » "raw" APIs » Network interface (NETIF) » MIB2 statistics

`#include <stats.h>`

## Data Fields
u32_t | ifinoctets
u32_t | ifinucastpkts
u32_t | ifinnucastpkts
u32_t | ifindiscards
u32_t | ifinerrors
u32_t | ifinunknownprotos
u32_t | ifoutoctets
u32_t | ifoutucastpkts
u32_t | ifoutnucastpkts
u32_t | ifoutdiscards
u32_t | ifouterrors

## Detailed Description

SNMP MIB2 interface stats

## Field Documentation

## ◆ ifindiscards

u32_t stats_mib2_netif_ctrs::ifindiscards

The number of inbound packets which were chosen to be discarded even though no errors had been detected to prevent their being deliverable to a higher-layer protocol. One possible reason for discarding such a packet could be to free up buffer space

## ◆ ifinerrors

u32_t stats_mib2_netif_ctrs::ifinerrors

For packet-oriented interfaces, the number of inbound packets that contained errors preventing them from being deliverable to a higher-layer protocol. For character- oriented or fixed-length interfaces, the number of inbound transmission units that contained errors preventing them from being deliverable to a higher-layer protocol.

## ◆ ifinnucastpkts

u32_t stats_mib2_netif_ctrs::ifinnucastpkts

The number of packets, delivered by this sub-layer to a higher (sub-)layer, which were addressed to a multicast or broadcast address at this sub-layer

## ◆ ifinoctets

u32_t stats_mib2_netif_ctrs::ifinoctets

The total number of octets received on the interface, including framing characters

## ◆ ifinucastpkts

u32_t stats_mib2_netif_ctrs::ifinucastpkts

The number of packets, delivered by this sub-layer to a higher (sub-)layer, which were not addressed to a multicast or broadcast address at this sub-layer

## ◆ ifinunknownprotos

u32_t stats_mib2_netif_ctrs::ifinunknownprotos

For packet-oriented interfaces, the number of packets received via the interface which were discarded because of an unknown or unsupported protocol. For character-oriented or fixed-length interfaces that support protocol multiplexing the number of transmission units received via the interface which were discarded because of an unknown or unsupported protocol. For any interface that does not support protocol multiplexing, this counter will always be 0

## ◆ ifoutdiscards

u32_t stats_mib2_netif_ctrs::ifoutdiscards

The number of outbound packets which were chosen to be discarded even though no errors had been detected to prevent their being transmitted. One possible reason for discarding such a packet could be to free up buffer space.

## ◆ ifouterrors

u32_t stats_mib2_netif_ctrs::ifouterrors

For packet-oriented interfaces, the number of outbound packets that could not be transmitted because of errors. For character-oriented or fixed-length interfaces, the number of outbound transmission units that could not be transmitted because of errors.

## ◆ ifoutnucastpkts

u32_t stats_mib2_netif_ctrs::ifoutnucastpkts

The total number of packets that higher-level protocols requested be transmitted, and which were addressed to a multicast or broadcast address at this sub-layer, including those that were discarded or not sent.

## ◆ ifoutoctets

u32_t stats_mib2_netif_ctrs::ifoutoctets

The total number of octets transmitted out of the interface, including framing characters.

## ◆ ifoutucastpkts

u32_t stats_mib2_netif_ctrs::ifoutucastpkts

The total number of packets that higher-level protocols requested be transmitted, and which were not addressed to a multicast or broadcast address at this sub-layer, including those that were discarded or not sent.

The documentation for this struct was generated from the following file:

- src/include/lwip/stats.h